package com.yfd.platform.config;

import org.junit.jupiter.api.Order;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 *
 * @Date: 2023/7/25 15:41
 * @Description:
 */
@Configuration("algorithmServerConfig")
@Order(0)
public class AlgorithmServerConfig {

    @Value("${algorithmserver.serverip}")
    private String serverIp;

    @Value("${algorithmserver.ftpport}")
    private String ftpPort;

    @Value("${algorithmserver.ftpusername}")
    private String ftpUsername;

    @Value("${algorithmserver.ftppassword}")
    private String ftpPassword;

    @Value("${algorithmserver.httpport}")
    private String httpPort;

    @Value("${algorithmserver.username}")
    private String username;

    @Value("${algorithmserver.password}")
    private String password;

    public String getServerIp() {
        return serverIp;
    }

    public String getFtpPort() {
        return ftpPort;
    }

    public String getFtpUsername() {
        return ftpUsername;
    }

    public String getFtpPassword() {
        return ftpPassword;
    }

    public String getHttpPort() {
        return httpPort;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

}
